package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	TYPE            = "type"
	ROLE            = "role"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_AUTH_ROLE = "user_auth_role"
	AUTH_UID       = "auth_uid"
	AUTH_NAME      = "auth_name"
	AUTH_TYPE      = "auth_type"
	CERT_UID       = "_uid"
	COMPANY_UID        = "company_uid"
	CITY_UID        = "city_uid"
)

type UserAuth struct {
	db.ModelWithUID
	UserUID  string `gorm:"type:char(32);index"`
	AuthUID string `gorm:"type:char(32);index"`
	Role     uint8 `gorm:"default:0"`
}
type Auth struct {
	db.ModelWithUID
	CompanyUID string `gorm:"type:char(32);index"`
	Name       string `gorm:"type:varchar(64)"`
	Type       uint8  `gorm:"default:0"`
}
type Cert struct {
	db.ModelWithUID
	AuthUID string `gorm:"type:char(32);index"`
	UserUID  string `gorm:"type:char(32);index"`
	Title    string `gorm:"type:varchar(64)"`
	Content  string
}


func init() { db.CmdModels("", &UserAuth{}, &Auth{}, &Cert{}) }